
if Exists ( Select * FROM sysobjects Where Id = object_id ( 'dbo.A_Sms_AddSent' ) )
DROP Procedure dbo.A_Sms_AddSent
GO

Create procedure dbo.A_Sms_AddSent
	--@idguid uniqueidentifier,
	@dt datetime,
	@sender nvarchar ( 100 ),
	@receiver nvarchar ( 100 ),
	@smstext nvarchar ( 4000 ),
	@pushid int,
	@delivered bit = null,
	@delivereddt datetime = null,
	@idout int OUTPUT
as
begin
	Insert into oktell_cc_temp.dbo.A_Sms
	( 
		--IdGuid, 
		Received, DT, Sender, Receiver, SmsText, PushId, Delivered, DeliveredDT )
	Values
	( 	
		--@idguid, 
		0, @dt, @sender, @receiver, @smstext, @pushid, @delivered, @delivereddt )

	select @idout = cast ( @@identity as int )
end
GO


if exists ( Select * from sysobjects where id = object_id ( 'dbo.A_CallCenter_State_SetUserInCC' ) )
	drop procedure dbo.A_CallCenter_State_SetUserInCC
GO

Create procedure [dbo].[A_CallCenter_State_SetUserInCC]
	@iduser uniqueidentifier,
	@incc	bit,
	@inlunch bit = 0
as
begin
	Update A_UserParams
	Set 	IsCC = @incc,
		IsLunch = @inlunch
	Where IdUser = @iduser
end
GO
