
/******    :   [dbo].[UploadUsers]     ******/
IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[UploadUsers]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
	Drop table dbo.UploadUsers
GO

Create Table dbo.UploadUsers
(
	[name] nvarchar ( 200 ),
	[login] nvarchar ( 50 ),
	[password] nvarchar ( 50 ),
	[phone] nvarchar ( 20 )
)
GO

if exists ( Select * From sysobjects where id = object_id ( N'[dbo].[U_UploadUsers]') AND OBJECTPROPERTY(id, N'IsProcedure') = 1)
	Drop procedure [dbo].[U_UploadUsers]
GO

/******   :  StoredProcedure [dbo].[U_UploadUsers]    ******/
	create procedure dbo.U_UploadUsers
	as
	begin
		declare @ruleID uniqueidentifier, 
				@ruleRecordID uniqueidentifier, 
				@userID uniqueidentifier,
				@numberPlanID uniqueidentifier, 
				@numberActionID uniqueidentifier,
				@newname nvarchar ( 200 ),
				@newlogin nvarchar ( 50 ),
				@newpassword nvarchar ( 50 ),
				@newphone nvarchar ( 20 )
						
		declare CCCs Cursor For
			select [name], [login], coalesce ([password], ''), [phone]
			from dbo.UploadUsers

		Open CCCs
		Fetch Next From CCCs Into @newname, @newlogin, @newpassword, @newphone
		While ( @@FETCH_STATUS = 0 )
		Begin
			if exists (select * from A_Users where [Login] =  @newlogin)
				print '   '+ @newlogin+ '     '
			else
				begin
					select	@ruleID = newid(), 
							@ruleRecordID = newid(), 
							@userID = newid(),
							@numberPlanID = newid(), 
							@numberActionID = newid()
				
					if (@newphone is not null)
					begin
						if exists (select * from A_NumberPlan where Prefix = @newphone)
						begin
							select @ruleID = (select extraid  from A_NumberPlanAction where numid in 
							(select id from A_NumberPlan where Prefix = @newphone))
							exec A_Admin_Rule_Records_Save @id = @ruleRecordID, @starttime = 0, @finishtime = 80, @caption = @newname, @addrtype = 0, @reactid = @userID, @ruleid = @ruleID, @account = N''
						end	
						else
						begin					
							exec A_Admin_Rule_Save @id = @ruleID, @name = @newname, @priority = 0, @type = 0
							exec A_Admin_Rule_Records_Save @id = @ruleRecordID, @starttime = 0, @finishtime = 80, @caption = @newname, @addrtype = 0, @reactid = @userID, @ruleid = @ruleID, @account = N''
							exec A_Admin_Number_Save @id = @numberPlanID, @prefix = @newphone, @visible = 1, @description = N''
							exec A_Admin_Number_Action_Save @id = @numberActionID, @address = N'', @priority = 0, @reactid = @ruleID, @specialtype = 0, @type = 0, @npid = @numberPlanID
							exec A_Admin_Rule_SiftByNumbers
						end
					end
					
					exec A_Admin_UserGroup_Group_SiftEmpty
					exec A_Admin_UserGroup_User_Save @id = @userID, @name = @newname, @info = N'', @parentgroupid = '00000000-0000-0000-0000-000000000000', @login = @newlogin, @password = @newpassword, @type = 1, @isoperator = 1, @roleid = '00000000-0000-0000-0000-000000000000', @callerid = N''
					exec A_Admin_UserGroup_User_ClearControls @id = @userID
					exec A_UserRoles_RemoveRolesOfUser @iduser = @userID
					exec A_UserRoles_SaveRoleForUser @iduser = @userID, @idrole = '336899D7-2C2D-401D-B339-F9F531AC1670'
					exec A_UserRoles_SaveRoleForUser @iduser = @userID, @idrole = '808F3270-8DC6-4F55-81DC-589326329731'
				end
				
		Fetch Next From CCCS Into @newname, @newlogin, @newpassword, @newphone
		End
		Close CCCS
		Deallocate CCCS
	end
GO

